program Portals;

uses
  zglHeader in 'zglHeader.pas',
  u_game in 'u_game.pas',
  zglGui in 'zglGui.pas',
  u_const in 'u_const.pas',
  zglParticleEngine in 'zglParticleEngine.pas',
  u_parser in 'u_parser.pas',
  u_map in 'u_map.pas',
  u_portal in 'u_portal.pas',
  u_body in 'u_body.pas',
  u_player in 'u_player.pas';

Begin
  zglLoad( 'Data/Engine/ZenGL.dll' );

  zgl_Reg( SYS_LOAD,   @Init );
  zgl_Reg( SYS_DRAW,   @Draw );
  zgl_Reg( SYS_UPDATE, @Update );
  zgl_Reg( SYS_EXIT,   @Quit );

  zgl_Enable( APP_USE_UTF8 );
  zgl_Disable( APP_USE_LOG );

  wnd_SetCaption( 'Portals' );
  wnd_ShowCursor( TRUE );

  sX := zgl_Get(DESKTOP_WIDTH);
  sY := zgl_Get(DESKTOP_HEIGHT);


  scr_SetOptions( sX, sY, REFRESH_MAXIMUM, TRUE, FALSE );
  zgl_Init();
End.
